<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
InequalityPolyhedralCone
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.InequalityPolyhedralCone interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="InequalityPolyhedralCone";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/InequalityPolyhedralCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/polco/EqualityPolyhedralCone.html" title="interface in ch.javasoft.polco"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/polco/InequalityPolyhedralCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="InequalityPolyhedralCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco</FONT>
<BR>
Interface InequalityPolyhedralCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;, <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;Num,Arr&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="class in ch.javasoft.polco.impl">AbstractInequalityCone</A>, <A HREF="../../../ch/javasoft/polco/impl/DefaultInequalityCone.html" title="class in ch.javasoft.polco.impl">DefaultInequalityCone</A>, <A HREF="../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="class in ch.javasoft.polco.transform">TransformedInequalityCone</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../src-html/ch/javasoft/polco/InequalityPolyhedralCone.html#line.51"><B>InequalityPolyhedralCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</B></A><DT>extends <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;Num,Arr&gt;</DL>
</PRE>

<P>
The <code>InequalityPolyhedralCone</code> represents a polyhedral cone
  <i>P</i> in halfspace representation, that is, 
 <pre>
 P = { B x &ge; 0 }
 </pre>
 Note that this interface extends <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A>, but does not add any
 additional methods, and hence is only a marker interface. Some methods below
 are restated unchanged, but with a specialized description.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getA()">getA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an empty matrix, corresponding to the equality matrix in the 
 definition of the polyhedral cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Num</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getA(int, int)">getA</A></B>(int&nbsp;row,
         int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Throws always an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang"><CODE>IndexOutOfBoundsException</CODE></A>, since matrix A 
 contains equalities and this cone is defined solely by inequalities</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html#getRowCountA()">getRowCountA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns always 0 since matrix A contains equalities and this cone is 
 defined solely by inequalities</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html#toMultilineString()">toMultilineString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes a verbose string representation of this polyhedral cone using the
 specified <code>writer</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a short string representation of this polyhedral cone, without
 matrix values, but including matrix dimensions.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a verbose string representation of this polyhedral cone, 
 including the matrix values and spanning multiple lines.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.PolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.polco.<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getB()">getB</A>, <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getB(int, int)">getB</A>, <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getDimensions()">getDimensions</A>, <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A>, <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountB()">getRowCountB</A>, <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#hashCode()">hashCode</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getA()"><!-- --></A><H3>
getA</H3>
<PRE>
<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Arr</A>[] <A HREF="../../../src-html/ch/javasoft/polco/InequalityPolyhedralCone.html#line.59"><B>getA</B></A>()</PRE>
<DL>
<DD>Returns an empty matrix, corresponding to the equality matrix in the 
 definition of the polyhedral cone. For this inequality cone, only
 inequalities are used to define the cone.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getA()">getA</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an empty array, since this cone is defined without equalities</DL>
</DD>
</DL>
<HR>

<A NAME="getA(int, int)"><!-- --></A><H3>
getA</H3>
<PRE>
<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Num</A> <A HREF="../../../src-html/ch/javasoft/polco/InequalityPolyhedralCone.html#line.66"><B>getA</B></A>(int&nbsp;row,
         int&nbsp;col)</PRE>
<DL>
<DD>Throws always an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang"><CODE>IndexOutOfBoundsException</CODE></A>, since matrix A 
 contains equalities and this cone is defined solely by inequalities
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getA(int, int)">getA</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - always</DL>
</DD>
</DL>
<HR>

<A NAME="getRowCountA()"><!-- --></A><H3>
getRowCountA</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/polco/InequalityPolyhedralCone.html#line.74"><B>getRowCountA</B></A>()</PRE>
<DL>
<DD>Returns always 0 since matrix A contains equalities and this cone is 
 defined solely by inequalities
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountA()">getRowCountA</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>always zero</DL>
</DD>
</DL>
<HR>

<A NAME="writeToMultiline(java.io.Writer)"><!-- --></A><H3>
writeToMultiline</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/polco/InequalityPolyhedralCone.html#line.93"><B>writeToMultiline</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</PRE>
<DL>
<DD>Returns a verbose string representation of this polyhedral cone, 
 including the matrix values and spanning multiple lines.
 <p>
 If both matrices are non-empty, the returned string looks for instance as 
 follows:
 <pre>
 P = { B x >= 0 }
 B = 5x2 {
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 1/2 , -1/2 ]
   [ 1 , 1 ]
 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toMultilineString()"><!-- --></A><H3>
toMultilineString</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/polco/InequalityPolyhedralCone.html#line.113"><B>toMultilineString</B></A>()</PRE>
<DL>
<DD>Writes a verbose string representation of this polyhedral cone using the
 specified <code>writer</code>. The output includes the matrix values and spans
 multiple lines.
 <p>
 If both matrices are non-empty, the written string looks for instance as 
 follows:
 <pre>
 P = { B x >= 0 }
 B = 5x2 {
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 1/2 , -1/2 ]
   [ 1 , 1 ]
 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#toMultilineString()">toMultilineString</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/polco/InequalityPolyhedralCone.html#line.123"><B>toString</B></A>()</PRE>
<DL>
<DD>Returns a short string representation of this polyhedral cone, without
 matrix values, but including matrix dimensions.
 <p>
 The returned string looks for instance as follows:
 <pre>
 P = { B x >= 0 , B:5x2 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#toString()">toString</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="type parameter in InequalityPolyhedralCone">Arr</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/InequalityPolyhedralCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/polco/EqualityPolyhedralCone.html" title="interface in ch.javasoft.polco"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/polco/InequalityPolyhedralCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="InequalityPolyhedralCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
